{% extends 'base.html.twig' %}

{% block title %}Employee index{% endblock %}

{% block body %}
    <h1>Employee index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Firstname</th>
                <th>Lastname</th>
                <th>UserProfile</th>
                <th>PhoneNumber</th>
                <th>Email</th>
                <th>Password</th>
                <th>Avatar</th>
                <th>Address</th>
                <th>Points</th>
                <th>Label</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for employee in employees %}
            <tr>
                <td>{{ employee.id }}</td>
                <td>{{ employee.firstname }}</td>
                <td>{{ employee.lastname }}</td>
                <td>{{ employee.userProfile }}</td>
                <td>{{ employee.phoneNumber }}</td>
                <td>{{ employee.email }}</td>
                <td>{{ employee.password }}</td>
                <td>{{ employee.avatar }}</td>
                <td>{{ employee.address }}</td>
                <td>{{ employee.points }}</td>
                <td>{{ employee.label }}</td>
                <td>
                    <a href="{{ path('employee_show', {'id': employee.id}) }}">show</a>
                    <a href="{{ path('employee_edit', {'id': employee.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="12">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('employee_new') }}">Create new</a>
{% endblock %}
